<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.uml.tech.mapper.FarmErrorMapper">

    <insert id="insertFromList">
        insert into ${tb_name} (did,
        firstMileage,
        lastMileage,
        mileage,
        firstJobArea,
        lastJobArea,
        jobArea,
        firstJobTime,
        lastJobTime,
        jobTime,
        runState)
        values
        <foreach collection="list" index="index" item="item" separator=",">
            (
            #{item.did},
            #{item.firstMileage},
            #{item.lastMileage},
            #{item.mileage},
            #{item.firstJobArea},
            #{item.lastJobArea},
            #{item.jobArea},
            #{item.firstJobTime},
            #{item.lastJobTime},
            #{item.jobTime},
            #{item.runState}
            )
        </foreach>

    </insert>


</mapper>